routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});
Route::post('/results', 'ReparationController@get_info')->name('results');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['middleware' => 'auth'], function () {
    Route::resource('/voitures', 'VoitureController')->except('destroy');
    Route::get('/voitures/delete/{id}', 'VoitureController@destroy')->name('voitures.destroy');


    Route::get('/get_modeles/{id}','MarqueController@get_modeles');


    Route::resource('/clients', 'ClientController')->except('destroy');
    Route::get('/clients/delete/{id}', 'ClientController@destroy')->name('clients.destroy');


    Route::resource('/reparations', 'ReparationController')->except('destroy');
    Route::get('/reparations/delete/{id}', 'ReparationController@destroy')->name('reparations.destroy');


    Route::resource('/interventions', 'InterventionController')->except('destroy');
    Route::get('/interventions/delete/{id}', 'InterventionController@destroy')->name('interventions.destroy');


});

app/Http/Controllers/ClientController.php
<?php

namespace App\Http\Controllers;

use App\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class ClientController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $clients = User::all();

        return view('backend.clients.index',compact('clients'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('backend.clients.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate(request(), [
            'name' => 'required',
            'email' => 'required',
            'cin' => 'required',
        ]);

        $client = new User();

        $client->name = request('name');
        $client->email = request('email');
        $client->cin = request('cin');
        $client->password =Hash::make('123456789');
        $client->save();

        return redirect('/clients');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $client = User::find($id);

        return view('backend.clients.edit',compact('client'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $client = User::find($id);

        return view('backend.clients.edit',compact('client'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate(request(), [
            'name' => 'required',
            'email' => 'required',
            'cin' => 'required',
        ]);

        $client = User::find($id);

        $client->name = request('name');
        $client->email = request('email');
        $client->cin = request('cin');
        $client->password =Hash::make('123456789');
        $client->save();

        return redirect('/clients');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $client = User::find($id)->delete();

        return redirect()->back();
    }
}

resources/views/backend/clients/create.blade.php
@extends('layouts.dashboard')

@section('content')

    <section class="content">
        <div class="card card-primary">
            <div class="card-header">
                <h3 class="card-title">Ajouter client</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="post" action="{{route('clients.store')}}">
                @csrf
                <div class="card-body">
                    @if(count($errors))
                        <div class="form-group">
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach($errors->all() as $error)
                                        <li>{{$error}}</li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                    @endif

                    <div class="form-group">
                        <label for="exampleInputEmail1">Nom</label>
                        <input type="text" class="form-control" name="name" placeholder="nom">
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">Cin</label>
                        <input type="text" class="form-control" name="cin">
                    </div>

                    <div class="form-group">
                        <label for="exampleInputEmail1">Email</label>
                        <input type="text" class="form-control" name="email">
                    </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
    </section>

@endsection

resources/views/backend/clients/edit.blade.php
@extends('layouts.dashboard')

@section('content')

    <section class="content">
        <div class="card card-primary">
            <div class="card-header">
                <h3 class="card-title">Modifier Information client</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="post" action="{{route('clients.update',$client->id)}}">
                @csrf
                {{ method_field('PUT') }}
                <div class="card-body">
                    @if(count($errors))
                        <div class="form-group">
                            <div class="alert alert-danger">
                                <ul>
                                    @foreach($errors->all() as $error)
                                        <li>{{$error}}</li>
                                    @endforeach
                                </ul>
                            </div>
                        </div>
                    @endif


                        <div class="form-group">
                            <label for="exampleInputEmail1">Nom</label>
                            <input type="text" class="form-control" name="name" val="nom">
                        </div>

                        <div class="form-group">
                            <label for="exampleInputEmail1">Cin</label>
                            <input type="text" class="form-control" name="cin">
                        </div>

                        <div class="form-group">
                            <label for="exampleInputEmail1">Email</label>
                            <input type="text" class="form-control" name="email">
                        </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
    </section>

@endsection

resources/views/backend/clients/index.blade.php
@extends('layouts.dashboard')

@section('content')
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <div style="float: right">
                                <a href="{{route('clients.create')}}" class="btn btn-success">Ajouter client</a>
                            </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <table id="example2" class="table table-bordered table-hover">
                                <thead>
                                <tr>
                                    <th>Nom</th>
                                    <th>Email</th>
                                    <th>CIN</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($clients as $c)
                                    <tr>
                                        <td>{{$c->name}}</td>
                                        <td>{{$c->email}}
                                        </td>
                                        <td>{{$c->cin}}</td>
                                        <td>
                                            <a href="{{route('clients.show',$c->id)}}"class="btn btn-warning">Afficher</a>
                                            <a href="{{route('clients.edit',$c->id)}}" class="btn btn-info">Editer</a>
                                            <a href="{{route('clients.destroy',$c->id)}}" class="btn btn-danger"><i class="fa fa-trash"></i> </a>

                                        </td>
                                    </tr>
                                @endforeach

                                </tfoot>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
    </section>

@endsection